org.randombits.storage missing

Confluence 5.1.2

Installed via Manage Add-ons.

It installs successfully but won't start.

Is the module missing some libraries?

When trying to start the plugin in Confluence, I get "This add-on failed to enable. It may require a license. Please refer to the logs for more information."

When tailing the logs, I see:

2013-06-10 13:15:54,211 DEBUG [http-8090-6] [confluence.user.crowd.CachedCrowdMembershipDao] isUserDirectMember checking direct membership for user [ admin ] and group [ confluence-administrators ]
2013-06-10 13:15:54,233 ERROR [http-8090-6] [plugin.osgi.factory.OsgiPlugin] enableInternal Detected an error (BundleException) enabling the plugin 'net.customware.confluence.plugin.google.calendar' : Unresolved constraint in bundle net.customware.confluence.plugin.google.calendar [163]: Unable to resolve 163.0: missing requirement [163.0] package; (&(package=org.randombits.storage)(version>=5.2.0)).  This error usually occurs when your plugin imports a package from another bundle with a specific version constraint and either the bundle providing that package doesn't meet those version constraints, or there is no bundle available that provides the specified package. For more details on how to fix this, see http://confluence.atlassian.com/x/1xy6D
 -- url: /rest/plugins/1.0/net.customware.confluence.plugin.google.calendar-key | userName: admin | referer: http://confluencedev:8090/plugins/servlet/upm
2013-06-10 13:15:54,236 WARN [http-8090-6] [plugin.osgi.factory.OsgiPlugin] enable Unable to enable plugin 'net.customware.confluence.plugin.google.calendar'
 -- url: /rest/plugins/1.0/net.customware.confluence.plugin.google.calendar-key | userName: admin | referer: http://confluencedev:8090/plugins/servlet/upm
com.atlassian.plugin.osgi.container.OsgiContainerException: Cannot start plugin: net.customware.confluence.plugin.google.calendar
	at com.atlassian.plugin.osgi.factory.OsgiPlugin.enableInternal(OsgiPlugin.java:445)
	at com.atlassian.plugin.impl.AbstractPlugin.enable(AbstractPlugin.java:237)
	at com.atlassian.plugin.manager.PluginEnabler.actualEnable(PluginEnabler.java:114)
	at com.atlassian.plugin.manager.PluginEnabler.enable(PluginEnabler.java:99)
....
Caused by: org.osgi.framework.BundleException: Unresolved constraint in bundle net.customware.confluence.plugin.google.calendar [163]: Unable to resolve 163.0: missing requirement [163.0] package; (&(package=org.randombits.storage)(version>=5.2.0))
	at org.apache.felix.framework.Felix.resolveBundle(Felix.java:3409)
	at org.apache.felix.framework.Felix.startBundle(Felix.java:1709)
	at org.apache.felix.framework.BundleImpl.start(BundleImpl.java:905)
	at org.apache.felix.framework.BundleImpl.start(BundleImpl.java:892)
	at com.atlassian.plugin.osgi.factory.OsgiPlugin.enableInternal(OsgiPlugin.java:417)
	... 278 more
2013-06-10 13:15:54,242 ERROR [http-8090-6] [atlassian.plugin.manager.PluginEnabler] actualEnable Unable to enable plugin net.customware.confluence.plugin.google.calendar
 -- url: /rest/plugins/1.0/net.customware.confluence.plugin.google.calendar-key | userName: admin | referer: http://confluencedev:8090/plugins/servlet/upm
com.atlassian.plugin.osgi.container.OsgiContainerException: Cannot start plugin: net.customware.confluence.plugin.google.calendar
	at com.atlassian.plugin.osgi.factory.OsgiPlugin.enableInternal(OsgiPlugin.java:445)
	at com.atlassian.plugin.impl.AbstractPlugin.enable(AbstractPlugin.java:237)
	at com.atlassian.plugin.manager.PluginEnabler.actualEnable(PluginEnabler.java:114)
	at com.atlassian.plugin.manager.PluginEnabler.enable(PluginEnabler.java:99)
	at com.atlassian.plugin.manager.PluginEnabler.enableAllRecursively(PluginEnabler.java:66)
...
Caused by: org.osgi.framework.BundleException: Unresolved constraint in bundle net.customware.confluence.plugin.google.calendar [163]: Unable to resolve 163.0: missing requirement [163.0] package; (&(package=org.randombits.storage)(version>=5.2.0))
	at org.apache.felix.framework.Felix.resolveBundle(Felix.java:3409)
	at org.apache.felix.framework.Felix.startBundle(Felix.java:1709)
	at org.apache.felix.framework.BundleImpl.start(BundleImpl.java:905)
	at org.apache.felix.framework.BundleImpl.start(BundleImpl.java:892)
	at com.atlassian.plugin.osgi.factory.OsgiPlugin.enableInternal(OsgiPlugin.java:417)
	... 278 more

2 answers

This widget could not be displayed.

I have the same problem, with Confluence 5.1.3.

Tried also to uninstall and reinstall it, but it doesn't fix the problem.

This widget could not be displayed.

FYI: We could never get it working, nor could we get a response from the developers of it. We removed the plugin.

Suggest an answer

Log in or Sign up to answer
Community showcase
Published Aug 22, 2018 in Marketplace Apps

How a Marketplace app tech team is achieving gender diversity

Hello! My name is Genevieve Blanch, and I'm the Marketing Manager at RefinedWiki, creators of apps to give teams the tools to customize Atlassian platforms. Currently, 44% of the tech team at Re...

511 views 3 18
Read article

Atlassian User Groups

Connect with like-minded Atlassian users at free events near you!

Find a group

Connect with like-minded Atlassian users at free events near you!

Find my local user group

Unfortunately there are no AUG chapters near you at the moment.

Start an AUG

You're one step closer to meeting fellow Atlassian users at your local meet up. Learn more about AUGs

Groups near you